### Method

# Vte Terminal search_set_regex

since: 0.46

#### Declaration [src]

    void
    vte_terminal_search_set_regex (
      VteTerminal* terminal,
      VteRegex* regex,
      guint32 flags
    )

#### Description [src]

Sets the regex to search for. Unsets the search regex when passed `NULL`.

Note that `regex` should have been created using the PCRE2_MULTILINE flag.

Available since: 0.46

#### Parameters

`regex`

  Type: `VteRegex`

  A `VteRegex`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`flags`

  Type: `guint32`

  PCRE2 match flags, or 0.